      program exactcor ! Bernd Berg Apr 10 2012.
C Exact correlation functions for the scalar free field.
      include '../../Libs/Fortran/implicit.sta'
      include '../../Libs/Fortran/constants.par'
      include 'lat.par'
      include 'mc.par'
      include '../../Libs/Fortran_par/common_exactl.f'
      include '../../Libs/Scalar_par/common_exactc.f'
      include 'lat.dat'
      ltest=.true.
      ltest=.false.
      if(ltest) stop "exactcor: ltest."
c
      write(iuo,'(/,"exactcor test program:")')
      call exact_init ! Initialization.
      call exact_cor ! Return exact correlation functions.
c
      stop "exactcor: all done."
      end

c General layout includes
      include '../../Libs/Fortran/ipointer.f'
      include '../../Libs/Fortran/isfun.f'
      include '../../Libs/Fortran/ixcor.f'
      include '../../Libs/Fortran/lat_init.f'
      include '../../Libs/Fortran/mat_gau.f'
      include '../../Libs/Fortran/nsfun.f'
      include '../../Libs/Fortran/razero.f'
      include '../../Libs/Fortran/write_progress.f'

c Exact scalar free field routines:
      include '../../Libs/Scalar_par/exact_cor.f'  ! Correlations.
      include '../../Libs/Scalar_par/exact_init.f' ! Initialization.
